---
# Copyright 2016, Rackspace US, Inc.
# Copyright 2019, Global InfoTek, Inc
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

- name: V-71977 - Require digital signatures for all packages
  lineinfile:
    dest: "{{ pkg_mgr_config }}"
    regexp: "{{ item.regexp }}"
    line: "{{ item.line }}"
    state: present
  with_items: "{{ rpm_gpgchecks | default([]) }}"
  tags:
    - rpm
    - high
    - V-71977
    - V-71979
    - V-71981

- name: V-71987 - Clean requirements/dependencies when removing packages (RedHat)
  lineinfile:
    dest: "{{ pkg_mgr_config }}"
    regexp: "^(#)?clean_requirements_on_remove"
    line: "clean_requirements_on_remove=1"
    state: present
  when:
    - security_package_clean_on_remove | bool
    - ansible_os_family | lower == 'redhat'
  tags:
    - low
    - packages
    - V-71987
